Skip to main content

Creating a Job

POST 

/v2/recognitions

Creates a speech recognition job.

About v1 (previous version)

The job creation endpoint for the previous version is POST https://acp-api-async.amivoice.com/v1/recognitions. The request and response formats are the same as v2. Since v1 will be discontinued in the future, if you are currently using it, please migrate to v2. However, sentiment analysis functionality is not currently available in v2. If you need to use sentiment analysis, please use v1.

caution
  • Parameters other than audio data can be sent either as query parameters or multipart. Setting the d parameter as a query parameter may exceed the request line limit, so sending as multipart is recommended.
  • If the same parameter is specified in both query parameters and multipart, the value set in the query parameter takes precedence.

Request

Responses

The successful response is in JSON format and contains the following values:

KeyDescription
sessionidJob ID for the user's speech recognition request. It is used when checking the job status and retrieving the results.
textAlways returns ...

The failure response is in JSON format and contains results, text, code, and message. For code and message, please see Response Codes and Messages.